MWAWField Struct Reference

a field More...

`#include <libmwaw_internal.hxx>`

## Public Types

enum | Type { None, PageCount, PageNumber, Date, Time, Title, Link, Database }
| Defines some basic type for field. More...

## Public Member Functions

| MWAWField (Type type)
| basic constructor More...

## Public Attributes

Type | m_type
| the type More...
std::string | m_DTFormat
| the date/time format using strftime format if defined More...
libmwaw::NumberingType | m_numberingType
| the number type ( for number field ) More...
std::string | m_data
| the database/link field ( if defined ) More...

## Detailed Description

a field

## Member Enumeration Documentation

enum MWAWField::Type

Defines some basic type for field.

Enumerator
None |
PageCount |
PageNumber |
Date |
Time |
Title |
Link |
Database |

## Constructor & Destructor Documentation

MWAWField::MWAWField | ( | Type | type | ) |

inline

basic constructor

## Member Data Documentation

std::string MWAWField::m_data

the database/link field ( if defined )

Referenced by MWAWContentListener::insertField().

std::string MWAWField::m_DTFormat

the date/time format using strftime format if defined

Referenced by MDWParserInternal::Field::getField(), MWAWContentListener::insertField(), WNText::send(), DMText::sendFooter(), ACParser::sendHeaderFooter(), HMWJText::sendText(), NSText::sendText(), BWText::sendText(), HMWKText::sendText(), MSWText::sendText(), CWText::sendText(), and GWTextInternal::Token::sendTo().

libmwaw::NumberingType MWAWField::m_numberingType

the number type ( for number field )

Referenced by MWAWContentListener::insertField(), and MWAWHeaderFooter::insertPageNumberParagraph().

Type MWAWField::m_type

the type

Referenced by MWAWContentListener::insertField().

The documentation for this struct was generated from the following file:

- libmwaw_internal.hxx